//-	---------------------------------------------------------------------------
//-	Name: 		SDIGridPpg.h
//-
//-	Purpose:	This file provides the definition of the class
//-				CSDIGridPropPage.
//-
//-	Revisions:
//-	Date		Author		Change Summary
//-	---------	------		---------------------------------------------------
//-	09-30-99	Mklombardi@ Created & Released.
//-             netzero,net 
//-
//-	Notes:		None.
//-
//- Copyright : This software is NOT copyrighted.
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then acknowledgement must be made to the author of this file 
// (in whatever form you wish).
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy. Please let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// file.
#if !defined(AFX_SDIGRIDPPG_H__C3E95D06_64BC_11D3_8D9C_4EE4B9000000__INCLUDED_)
#define AFX_SDIGRIDPPG_H__C3E95D06_64BC_11D3_8D9C_4EE4B9000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// SDIGridPpg.h : Declaration of the CSDIGridPropPage property page class.

////////////////////////////////////////////////////////////////////////////
// CSDIGridPropPage : See SDIGridPpg.cpp.cpp for implementation.

class CSDIGridPropPage : public COlePropertyPage
{
	DECLARE_DYNCREATE(CSDIGridPropPage)
	DECLARE_OLECREATE_EX(CSDIGridPropPage)

// Constructor
public:
	CSDIGridPropPage();

// Dialog Data
	//{{AFX_DATA(CSDIGridPropPage)
	enum { IDD = IDD_PROPPAGE_SDIGRID };
	int		m_numRows;
	int		m_numCols;
	BOOL	m_ColZeroIsFixed;
	long	m_Address;
	short	m_FixedColHeight;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Message maps
protected:
	//{{AFX_MSG(CSDIGridPropPage)
	afx_msg void OnSetColumnButton();
	afx_msg void OnSetRowButton();
	afx_msg void OnChangeNumCols();
	afx_msg void OnChangeNumRows();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
    void RealignColsOrRows(CObList* pItems, int MaxItems);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SDIGRIDPPG_H__C3E95D06_64BC_11D3_8D9C_4EE4B9000000__INCLUDED)
