// Written by Chris Maunder (chrismaunder@codeguru.com)
// Copyright (c) 1998.
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included. If 
// the source code in  this file is used in any commercial application 
// then acknowledgement must be made to the author of this file 
// (in whatever form you wish).
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.
//
// Expect bugs!
// 
// Please use and enjoy. Please let me know of any bugs/mods/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// file.
//-------------------------------------------------------------------------------
// Key.cpp : implementation file
//

#include "stdafx.h"
#include "SDIGrid.h"
#include "Key.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKey dialog


CKey::CKey(CWnd* pParent /*=NULL*/)
	: CDialog(CKey::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKey)
	m_Key = _T("");
	//}}AFX_DATA_INIT
}


void CKey::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKey)
	DDX_Control(pDX, IDOK, m_OK_Button);
	DDX_Text(pDX, IDC_EDIT1, m_Key);
	DDV_MaxChars(pDX, m_Key, 8);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKey, CDialog)
	//{{AFX_MSG_MAP(CKey)
	ON_EN_CHANGE(IDC_EDIT1, OnEnterKey)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKey message handlers

BOOL CKey::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CenterWindow();
	m_OK_Button.EnableWindow(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CKey::OnEnterKey() 
{
	m_OK_Button.EnableWindow(TRUE);
}

void CKey::OnOK() 
{
	UpdateData(TRUE);
	CDialog::OnOK();
}
